AppletConsole
Date: 2019-10-22

org.jmol.consolejs

## Class AppletConsole

- java.lang.Object
- - org.jmol.console.GenericConsole
  - - org.jmol.consolejs.AppletConsole

- All Implemented Interfaces:
    JmolAppConsoleInterface, JmolCallbackListener

      public class AppletConsole
      extends GenericConsole

  An interface to Jmol.Console. keyboard events are returned to GenericConsole.processKey(kcode, kid, isControlDown); button events are returned to GenericConsole.doAction(source); 12/24/2012
  Author:
    Bob Hanson hansonr@stolaf.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) JSConsole` | `jsConsole`

    - ### Fields inherited from class org.jmol.console.GenericConsole

      `clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, runButton, stateButton, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletConsole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `JmolScriptEditorInterface` | `getScriptEditor()`
    `protected boolean` | `isMenuItem(java.lang.Object source)`
    `protected void` | `layoutWindow(java.lang.String enabledButtons)`
    `java.lang.Object` | `newJMenu(java.lang.String key)`
    `java.lang.Object` | `newJMenuItem(java.lang.String key)`
    `protected java.lang.String` | `nextFileName(java.lang.String stub, int nTab)`
    `protected JmolAbstractButton` | `setButton(java.lang.String text)`
    `protected void` | `setTitle()`
    `void` | `setVisible(boolean visible)`
    `void` | `start(Viewer vwr)`

    - ### Methods inherited from class org.jmol.console.GenericConsole

      `addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, execute, getLabel, getLabel1, getLabelWithoutMnemonic, getText, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, updateLabels, zap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jsConsole

          JSConsole jsConsole

  - ### Constructor Detail

    - #### AppletConsole

          public AppletConsole()

  - ### Method Detail

    - #### start

          public void start(Viewer vwr)

    - #### layoutWindow

          protected void layoutWindow(java.lang.String enabledButtons)

      Specified by:
        `layoutWindow` in class `GenericConsole`

    - #### setTitle

          protected void setTitle()

      Specified by:
        `setTitle` in class `GenericConsole`

    - #### setVisible

          public void setVisible(boolean visible)

      Specified by:
        `setVisible` in interface `JmolAppConsoleInterface`
      Specified by:
        `setVisible` in class `GenericConsole`

    - #### setButton

          protected JmolAbstractButton setButton(java.lang.String text)

      Specified by:
        `setButton` in class `GenericConsole`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `JmolAppConsoleInterface`
      Specified by:
        `dispose` in class `GenericConsole`

    - #### isMenuItem

          protected boolean isMenuItem(java.lang.Object source)

      Specified by:
        `isMenuItem` in class `GenericConsole`

    - #### getScriptEditor

          public JmolScriptEditorInterface getScriptEditor()

      Specified by:
        `getScriptEditor` in interface `JmolAppConsoleInterface`
      Specified by:
        `getScriptEditor` in class `GenericConsole`

    - #### nextFileName

          protected java.lang.String nextFileName(java.lang.String stub,
                                                  int nTab)

      Specified by:
        `nextFileName` in class `GenericConsole`

    - #### newJMenu

          public java.lang.Object newJMenu(java.lang.String key)

    - #### newJMenuItem

          public java.lang.Object newJMenuItem(java.lang.String key)